﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSeaplane.Entities;

public class EntityPlane
{
    public int Speed { get; set; }

    public double Weight { get; set; }

    public Color BodyColor { get; private set; }
    public void setBodyColor(Color color)
    {
        BodyColor = color;
    }

    public double Step => Speed * 100 / Weight;

    public EntityPlane(int speed, double weight, Color bodyColor)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
    }
}

