﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSeaplane.Entities;
public class EntitySeaplane : EntityPlane
{
    public Color AdditionalColor { get; private set; }
    public void setAdditionalColor(Color color)
    {
        AdditionalColor = color;
    }

    public bool Floats { get; private set; }

    public bool InflatableBoat { get; private set; }

    public EntitySeaplane(int speed, double weight, Color bodyColor, Color additionalColor, bool floats, bool inflatableBoat) : base(speed, weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        Floats = floats;
        InflatableBoat = inflatableBoat;
    }
}

