﻿namespace ProjectSeaplane.CollectionGenericObjects;

public interface ICollectionGenericObjects<T>
    where T : class
{
	int Count { get; }

    int SetMaxCount { set; }

    int Insert(T obj);

    int Insert(T obj, int position);

    T Remove(int position);

    T? Get(int position);
}
