﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSeaplane.MovementStrategy;

public interface IMoveableObject
{
    ObjectParameters? GetObjectPosition { get; }

    int GetStep { get; }

    bool TryMoveObject(MovementDirection direction);
}
